Sql Vulnerability Assessment Scans - Initiate Scan

Initiates a vulnerability assessment scan.

POST https://management.azure.com/{resourceId}/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview
POST https://management.azure.com/{resourceId}/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview&databaseName={databaseName}

URI Parameters

Name In Required Type Description
resourceId
path True

string

api-version
query True

string

minLength: 1

The API version to use for this operation.

databaseName
query

string

Responses

Name Type Description
200 OK

SqlVulnerabilityAssessmentScanOperationResult

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Initiate scan on a resource (server-level) - Sql Managed Instance
Initiate scan on a resource (server-level) - Sql Server
Initiate scan on a resource (server-level) - Synapse
Initiate scan on a resource - Sql Managed Instance
Initiate scan on a resource - Sql Server
Initiate scan on a resource - Synapse

Initiate scan on a resource (server-level) - Sql Managed Instance

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview&databaseName=master

Sample response

{
  "name": "11111111-2222-3333-4444-555555555555",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments/scans/scanOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555",
  "properties": {
    "operationId": "11111111-2222-3333-4444-555555555555",
    "scanStatus": "Passed"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555?api-version=2026-04-01-preview&databaseName=master

Initiate scan on a resource (server-level) - Sql Server

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview&databaseName=master

Sample response

{
  "name": "11111111-2222-3333-4444-555555555555",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments/scans/scanOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555",
  "properties": {
    "operationId": "11111111-2222-3333-4444-555555555555",
    "scanStatus": "Passed"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555?api-version=2026-04-01-preview&databaseName=master

Initiate scan on a resource (server-level) - Synapse

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview&databaseName=master

Sample response

{
  "name": "11111111-2222-3333-4444-555555555555",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments/scans/scanOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555",
  "properties": {
    "operationId": "11111111-2222-3333-4444-555555555555",
    "scanStatus": "Passed"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555?api-version=2026-04-01-preview&databaseName=master

Initiate scan on a resource - Sql Managed Instance

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview

Sample response

{
  "name": "11111111-2222-3333-4444-555555555555",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments/scans/scanOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555",
  "properties": {
    "operationId": "11111111-2222-3333-4444-555555555555",
    "scanStatus": "Passed"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555?api-version=2026-04-01-preview

Initiate scan on a resource - Sql Server

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview

Sample response

{
  "name": "11111111-2222-3333-4444-555555555555",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments/scans/scanOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555",
  "properties": {
    "operationId": "11111111-2222-3333-4444-555555555555",
    "scanStatus": "Passed"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555?api-version=2026-04-01-preview

Initiate scan on a resource - Synapse

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/sqlPools/myPool/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/initiateScan?api-version=2026-04-01-preview

Sample response

{
  "name": "11111111-2222-3333-4444-555555555555",
  "type": "Microsoft.Security/sqlVulnerabilityAssessments/scans/scanOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/sqlPools/myPool/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555",
  "properties": {
    "operationId": "11111111-2222-3333-4444-555555555555",
    "scanStatus": "Passed"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/sqlPools/myPool/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/scans/scanOperationResults/11111111-2222-3333-4444-555555555555?api-version=2026-04-01-preview

Definitions

Name Description
Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Common.CloudErrorBody

The error detail.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ScanOperationStatus

The scan operation status.

SqlVulnerabilityAssessmentScanOperationResult

Represents the result of a SQL Vulnerability Assessment scan operation, wrapped in the ARM resource envelope.

SqlVulnerabilityAssessmentScanOperationResultProperties

Represents the properties of a SQL Vulnerability Assessment scan operation result.

systemData

Metadata pertaining to creation and last modification of the resource.

Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error.additionalInfo

ErrorAdditionalInfo[]

The error additional info.

error.code

string

The error code.

error.details

Common.CloudErrorBody[]

The error details.

error.message

string

The error message.

error.target

string

The error target.

Common.CloudErrorBody

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

Common.CloudErrorBody[]

The error details.

message

string

The error message.

target

string

The error target.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ScanOperationStatus

The scan operation status.

Value Description
Passed

The scan completed successfully with no vulnerabilities found.

Failed

The scan completed but found vulnerabilities.

FailedToRun

The scan failed to execute.

InProgress

The scan is currently running.

SqlVulnerabilityAssessmentScanOperationResult

Represents the result of a SQL Vulnerability Assessment scan operation, wrapped in the ARM resource envelope.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

SqlVulnerabilityAssessmentScanOperationResultProperties

Represents the properties of a SQL Vulnerability Assessment scan operation result.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SqlVulnerabilityAssessmentScanOperationResultProperties

Represents the properties of a SQL Vulnerability Assessment scan operation result.

Name Type Description
operationId

string

Gets or sets the operation id.

scanStatus

ScanOperationStatus

The scan operation status.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.